#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup

setup(
    name='slides',
    version='0.1',
    description=("A docutils writer and script for converting "
        "restructured text to the Beamer presentation format"),
    author=u'Łukasz Cieśnik'.encode('utf-8'),
    author_email='lukasz.ciesnik@gmail.com',
    url='http://sirius.cs.put.poznan.pl/~inf66226/slides',
    license='GNU General Public License (GPL) v. 3',
    keywords=['presentation', 'slides', 'LaTeX', 'beamer',
        'docutils writer', 'reStructuredText', 'rst'],
    packages=['slides'],
    include_package_data=True,
    install_requires=['docutils', 'pygments'],
    entry_points={
        'console_scripts': ['rst2beamer = slides.beamer:main'],
    },
    classifiers = [
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: Python 2.6',
        'Topic :: Text Processing :: Markup',
        'Topic :: Multimedia :: Graphics :: Presentation',
    ],
    zip_safe=False,
)
