# -*- coding: utf-8 -*-
"""
Polish language mappings for language-dependent features of Docutils.
"""

__docformat__ = 'reStructuredText'

labels = {
    'author': u'Autor',
    'authors': u'Autorzy',
    'organization': u'Organizacja',
    'address': u'Adres',
    'contact': u'Kontakt',
    'version': u'Wersja',
    'revision': u'Rewizja',
    'status': u'Status',
    'date': u'Data',
    'dedication': u'Dedykacja',
    'copyright': u'Copyright',
    'abstract': u'Streszczenie',
    'attention': u'Uwaga!',
    'caution': u'Ostrzeżenie!',
    'danger': u'!NIEBEZPIECZEŃSTWO!',
    'error': u'Błąd',
    'hint': u'Podpowiedź',
    'important': u'Ważne',
    'note': u'Notatka',
    'tip': u'Wskazówka',
    'warning': u'Ostrzeżenie',
    'contents': u'Spis treści'}
"""Mapping of node class name to label text."""

bibliographic_fields = {
    u'autor': 'author',
    u'autorzy': 'authors',
    u'organizacja': 'organization',
    u'adres': 'address',
    u'kontakt': 'contact',
    u'wersja': 'version',
    u'rewizja': 'revision',
    u'status': 'status',
    u'data': 'date',
    u'copyright': 'copyright',
    u'dedykacja': 'dedication',
    u'streszczenie': 'abstract'}
"""Polish (lowcased) to canonical name mapping for bibliographic fields."""

author_separators = [';', ',']
"""List of separator strings for the 'Authors' bibliographic field. Tried in
order."""
