
from docutils import nodes
from docutils.parsers import rst
from docutils.parsers.rst import directives, roles

class code_block(nodes.Element):
    def astext(self):
        return self.rawsource

class code_block_directive(rst.Directive):

    required_arguments = 1
    has_content = True

    def run(self):
        self.assert_has_content()
        node = code_block('\n'.join(self.content),
                syntax=self.arguments[0])
        return [node]

directives.register_directive('code-block', code_block_directive)


def inline_code_role(name, rawtext, text, lineno, inliner,
        options=None, content=None):
    node = code_block(text, syntax=name, inline=True)
    return ([node], [])

roles.register_canonical_role('inline-code', inline_code_role)


class english(nodes.Inline, nodes.TextElement): pass
roles.register_generic_role('english', english)


