
from docutils.core import publish_file
from os.path import abspath, dirname, join
import re
#from .rst2beamer import BeamerWriter
from .beamer import BeamerWriter
from SCons.Builder import Builder
import sys

__all__ = ['Rst2Beamer', 'generate']

def rst2beamer(source, target, env):
    publish_file(
            writer=BeamerWriter(),
            source_path=str(source[0]),
            destination_path=str(target[0]),
            settings_overrides=env['RST2BEAMER_SETTINGS'],
            )

slides_modfiles = [
    re.sub(r'\.py[co]', '.py', mod.__file__)
    for modname, mod in sys.modules.items()
    if mod is not None and
    (modname == 'slides' or modname.startswith('slides.'))]

def depend_on_writer(target, source, env):
    env.Depends(target, slides_modfiles)
    #source.extend(slides_modfiles)
    return target, source

Rst2Beamer = Builder(action=rst2beamer, suffix='.tex', src_suffix='.txt',
        emitter=depend_on_writer)

def generate(env):
    env['BUILDERS']['Rst2Beamer'] = Rst2Beamer
    env.Append(TEXINPUTS=abspath(join(dirname(__file__), 'themes')))
